List subscriptions by organization

View as MarkdownOpen in Claude

Returns a list of subscriptions for a single org. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

exportFormatenumOptional
Export format for file downloads. When specified, returns data as a file instead of JSON.
Allowed values:
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query. <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for more information. **List of field names accepted:** - `startDate` (gt, ge, lt, le, eq, ne) - `endDate` (gt, ge, lt, le, eq, ne) - `nextDate` (gt, ge, lt, le, eq, ne) - `frequency` (in, nin, ne, eq) - `method` (in, nin, eq, ne) - `totalAmount` (gt, ge, lt, le, eq, ne) - `netAmount` (gt, ge, lt, le, eq, ne) - `feeAmount` (gt, ge, lt, le, eq, ne) - `status` (in, nin, eq, ne) - `untilcancelled` (eq, ne) - `subscriptionType` (eq, ne, in, nin). Filters by subscription type. Accepts `Regular` or `BalanceDriven`. Case-insensitive. Example: `subscriptionType(in)=Regular|BalanceDriven`. - `payaccountLastfour` (nct, ct) - `payaccountType` (ne, eq, in, nin) - `payaccountCurrency` (ne, eq, in, nin) - `customerFirstname` (ct, nct, eq, ne) - `customerLastname` (ct, nct, eq, ne) - `customerName` (ct, nct) - `customerId` (eq, ne) - `customerNumber` (ct, nct, eq, ne) - `customerCompanyname` (ct, nct, eq, ne) - `customerAddress` (ct, nct, eq, ne) - `customerCity` (ct, nct, eq, ne) - `customerZip` (ct, nct, eq, ne) - `customerState` (ct, nct, eq, ne) - `customerCountry` (ct, nct, eq, ne) - `customerPhone` (ct, nct, eq, ne) - `customerEmail` (ct, nct, eq, ne) - `customerShippingAddress` (ct, nct, eq, ne) - `customerShippingCity` (ct, nct, eq, ne) - `customerShippingZip` (ct, nct, eq, ne) - `customerShippingState` (ct, nct, eq, ne) - `customerShippingCountry` (ct, nct, eq, ne) - `orgId` (eq) - `paypointId` (ne, eq) - `paypointLegal` (ne, eq, ct, nct) - `paypointDba` (ne, eq, ct, nct) - `orgName` (ne, eq, ct, nct) - `externalPaypointId` (ct, nct, ne, eq) - `subId` (eq, ne) - `idPmethod` (eq, ne, ct, nct, in, nin). Filters by the subscription's linked stored method identifier (the value returned in `StoredMethod.IdPmethod`). Case-insensitive. Subscriptions without a linked stored method are excluded from matches. Example: `idPmethod(eq,6edcbb56-9c0e-4003-b3d1-99abf149ba0e)`. - `orderDescription` (ct, nct) - `cycles` (eq, ne, gt, ge, lt, le) - `leftcycles` (eq, ne, gt, ge, lt, le) - `createdAt` (eq, ne, gt, ge, lt, le) - `updatedOn` (eq, ne, gt, ge, lt, le) - `invoiceNumber` (ct, nct) - `additional-xxx` (ne, eq, ct, nct) where xxx is the additional field name **List of comparison operators accepted:** - `eq` or empty => equal - `gt` => greater than - `ge` => greater or equal - `lt` => less than - `le` => less or equal - `ne` => not equal - `ct` => contains - `nct` => not contains - `in` => inside array - `nin` => not inside array
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Recordslist of objects
Summaryobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error